import { mapObjectToRows, mapRowsToObject } from './index';

describe('mapping', () => {
  it('should', () => {
    const object = {
      Ammonia: {
        '0': 0.01907472,
        '1': 0.03440262,
        '2': 0.06028974,
        '3': 0.06369594,
        '5': 0.04700556,
        '8': 0.04172595,
        '11': 0.0596085,
        '14': 0.08430345,
        '17': 0.102186,
        '20': 0.12500754,
        '24': 0.18665976,
        '27': 0.01924503,
        '28': 0.03508386,
        '29': 0.05977881,
        '30': 0.06216315,
        '32': 0.04615401,
        '35': 0.0408744,
        '38': 0.07050834,
        '41': 0.11172336,
        '44': 0.13999482,
        '47': 0.13352304,
        '50': 0.12279351,
        '51': 0.12364506,
        '55': 0.01924503,
        '56': 0.03474324,
        '57': 0.06011943,
        '58': 0.06369594,
        '60': 0.04649463,
        '63': 0.04274781,
        '66': 0.06046005,
        '69': 0.08294097,
        '72': 0.09213771,
        '75': 0.10678437,
        '78': 0.12466692,
        '82': 0.17269434,
        '83': 0.01941534,
        '84': 0.03508386,
        '85': 0.05994912,
        '86': 0.06420687,
        '88': 0.04802742,
        '91': 0.04172595,
        '94': 0.0579054,
        '97': 0.08890182,
        '100': 0.10099383,
        '103': 0.11836545,
        '106': 0.14186823,
        '107': 0.16468977,
        '110': 0.18921441,
        '111': 0.01941534,
        '112': 0.03474324,
        '113': 0.05926788,
        '114': 0.06335532,
        '116': 0.04683525,
        '119': 0.04070409,
        '122': 0.05824602,
        '125': 0.102186,
        '128': 0.13709955,
        '131': 0.15123528,
        '134': 0.15821799,
        '135': 0.16434915,
        '139': 0.01907472,
        '140': 0.03474324,
        '141': 0.0596085,
        '142': 0.06386625,
        '144': 0.04683525,
        '147': 0.04223688,
        '150': 0.0783426,
        '152': 0.11666235,
        '155': 0.14459319,
        '158': 0.17167248,
        '161': 0.18461604,
        '165': 0.20317983,
        '166': 0.01941534,
        '167': 0.03508386,
        '168': 0.05977881,
        '169': 0.06539904,
        '171': 0.04836804,
        '174': 0.04172595,
        '177': 0.05688354,
        '180': 0.08311128,
        '183': 0.08907213,
        '186': 0.10167507,
        '189': 0.11802483,
        '193': 0.16451946,
        '194': 0.01839348,
        '195': 0.03440262,
        '196': 0.05858664,
        '197': 0.06880524,
        '199': 0.05654292,
        '202': 0.04632432,
        '205': 0.05296641,
        '208': 0.07170051,
        '211': 0.09094554,
        '214': 0.10780623,
        '217': 0.12415599,
        '221': 0.17269434,
        '222': 0.01907472,
        '223': 0.03508386,
        '224': 0.06011943,
        '225': 0.06454749,
        '227': 0.04802742,
        '230': 0.04342905,
        '233': 0.07527702,
        '236': 0.11274522,
        '239': 0.13386366,
        '242': 0.16622256,
        '245': 0.18427542,
        '249': 0.20931099,
        '250': 0.01958565,
        '251': 0.03491355,
        '252': 0.0596085,
        '253': 0.06505842,
        '255': 0.04836804,
        '258': 0.04189626,
        '261': 0.0579054,
        '264': 0.05756478,
        '267': 0.08975337,
        '270': 0.09162678,
        '277': 0.17116155,
        '278': 0.01975596,
        '280': 0.05926788,
        '281': 0.06403656,
        '283': 0.04734618,
        '286': 0.0408744,
        '289': 0.05432889,
        '292': 0.0562023,
        '295': 0.06863493,
        '298': 0.07170051,
        '301': 0.0749364,
        '305': 0.1089984,
        '306': 0.01958565,
        '307': 0.03491355,
        '308': 0.05943819,
        '309': 0.06420687,
        '311': 0.04717587,
        '314': 0.04002285,
        '317': 0.05432889,
        '320': 0.07953477,
        '323': 0.10457034,
        '326': 0.11870607,
        '329': 0.12534816,
        '333': 0.17524899
      },
      BatchID: {
        '0': 'MM_State_Observer-001.csv',
        '1': 'MM_State_Observer-001.csv',
        '2': 'MM_State_Observer-001.csv',
        '3': 'MM_State_Observer-001.csv',
        '5': 'MM_State_Observer-001.csv',
        '8': 'MM_State_Observer-001.csv',
        '11': 'MM_State_Observer-001.csv',
        '14': 'MM_State_Observer-001.csv',
        '17': 'MM_State_Observer-001.csv',
        '20': 'MM_State_Observer-001.csv',
        '24': 'MM_State_Observer-001.csv',
        '27': 'MM_State_Observer-002.csv',
        '28': 'MM_State_Observer-002.csv',
        '29': 'MM_State_Observer-002.csv',
        '30': 'MM_State_Observer-002.csv',
        '32': 'MM_State_Observer-002.csv',
        '35': 'MM_State_Observer-002.csv',
        '38': 'MM_State_Observer-002.csv',
        '41': 'MM_State_Observer-002.csv',
        '44': 'MM_State_Observer-002.csv',
        '47': 'MM_State_Observer-002.csv',
        '50': 'MM_State_Observer-002.csv',
        '51': 'MM_State_Observer-002.csv',
        '55': 'MM_State_Observer-003.csv',
        '56': 'MM_State_Observer-003.csv',
        '57': 'MM_State_Observer-003.csv',
        '58': 'MM_State_Observer-003.csv',
        '60': 'MM_State_Observer-003.csv',
        '63': 'MM_State_Observer-003.csv',
        '66': 'MM_State_Observer-003.csv',
        '69': 'MM_State_Observer-003.csv',
        '72': 'MM_State_Observer-003.csv',
        '75': 'MM_State_Observer-003.csv',
        '78': 'MM_State_Observer-003.csv',
        '82': 'MM_State_Observer-003.csv',
        '83': 'MM_State_Observer-004.csv',
        '84': 'MM_State_Observer-004.csv',
        '85': 'MM_State_Observer-004.csv',
        '86': 'MM_State_Observer-004.csv',
        '88': 'MM_State_Observer-004.csv',
        '91': 'MM_State_Observer-004.csv',
        '94': 'MM_State_Observer-004.csv',
        '97': 'MM_State_Observer-004.csv',
        '100': 'MM_State_Observer-004.csv',
        '103': 'MM_State_Observer-004.csv',
        '106': 'MM_State_Observer-004.csv',
        '107': 'MM_State_Observer-004.csv',
        '110': 'MM_State_Observer-004.csv',
        '111': 'MM_State_Observer-005.csv',
        '112': 'MM_State_Observer-005.csv',
        '113': 'MM_State_Observer-005.csv',
        '114': 'MM_State_Observer-005.csv',
        '116': 'MM_State_Observer-005.csv',
        '119': 'MM_State_Observer-005.csv',
        '122': 'MM_State_Observer-005.csv',
        '125': 'MM_State_Observer-005.csv',
        '128': 'MM_State_Observer-005.csv',
        '131': 'MM_State_Observer-005.csv',
        '134': 'MM_State_Observer-005.csv',
        '135': 'MM_State_Observer-005.csv',
        '139': 'MM_State_Observer-006.csv',
        '140': 'MM_State_Observer-006.csv',
        '141': 'MM_State_Observer-006.csv',
        '142': 'MM_State_Observer-006.csv',
        '144': 'MM_State_Observer-006.csv',
        '147': 'MM_State_Observer-006.csv',
        '150': 'MM_State_Observer-006.csv',
        '152': 'MM_State_Observer-006.csv',
        '155': 'MM_State_Observer-006.csv',
        '158': 'MM_State_Observer-006.csv',
        '161': 'MM_State_Observer-006.csv',
        '165': 'MM_State_Observer-006.csv',
        '166': 'MM_State_Observer-007.csv',
        '167': 'MM_State_Observer-007.csv',
        '168': 'MM_State_Observer-007.csv',
        '169': 'MM_State_Observer-007.csv',
        '171': 'MM_State_Observer-007.csv',
        '174': 'MM_State_Observer-007.csv',
        '177': 'MM_State_Observer-007.csv',
        '180': 'MM_State_Observer-007.csv',
        '183': 'MM_State_Observer-007.csv',
        '186': 'MM_State_Observer-007.csv',
        '189': 'MM_State_Observer-007.csv',
        '193': 'MM_State_Observer-007.csv',
        '194': 'MM_State_Observer-008.csv',
        '195': 'MM_State_Observer-008.csv',
        '196': 'MM_State_Observer-008.csv',
        '197': 'MM_State_Observer-008.csv',
        '199': 'MM_State_Observer-008.csv',
        '202': 'MM_State_Observer-008.csv',
        '205': 'MM_State_Observer-008.csv',
        '208': 'MM_State_Observer-008.csv',
        '211': 'MM_State_Observer-008.csv',
        '214': 'MM_State_Observer-008.csv',
        '217': 'MM_State_Observer-008.csv',
        '221': 'MM_State_Observer-008.csv',
        '222': 'MM_State_Observer-009.csv',
        '223': 'MM_State_Observer-009.csv',
        '224': 'MM_State_Observer-009.csv',
        '225': 'MM_State_Observer-009.csv',
        '227': 'MM_State_Observer-009.csv',
        '230': 'MM_State_Observer-009.csv',
        '233': 'MM_State_Observer-009.csv',
        '236': 'MM_State_Observer-009.csv',
        '239': 'MM_State_Observer-009.csv',
        '242': 'MM_State_Observer-009.csv',
        '245': 'MM_State_Observer-009.csv',
        '249': 'MM_State_Observer-009.csv',
        '250': 'MM_State_Observer-010.csv',
        '251': 'MM_State_Observer-010.csv',
        '252': 'MM_State_Observer-010.csv',
        '253': 'MM_State_Observer-010.csv',
        '255': 'MM_State_Observer-010.csv',
        '258': 'MM_State_Observer-010.csv',
        '261': 'MM_State_Observer-010.csv',
        '264': 'MM_State_Observer-010.csv',
        '267': 'MM_State_Observer-010.csv',
        '270': 'MM_State_Observer-010.csv',
        '277': 'MM_State_Observer-010.csv',
        '278': 'MM_State_Observer-011.csv',
        '280': 'MM_State_Observer-011.csv',
        '281': 'MM_State_Observer-011.csv',
        '283': 'MM_State_Observer-011.csv',
        '286': 'MM_State_Observer-011.csv',
        '289': 'MM_State_Observer-011.csv',
        '292': 'MM_State_Observer-011.csv',
        '295': 'MM_State_Observer-011.csv',
        '298': 'MM_State_Observer-011.csv',
        '301': 'MM_State_Observer-011.csv',
        '305': 'MM_State_Observer-011.csv',
        '306': 'MM_State_Observer-012.csv',
        '307': 'MM_State_Observer-012.csv',
        '308': 'MM_State_Observer-012.csv',
        '309': 'MM_State_Observer-012.csv',
        '311': 'MM_State_Observer-012.csv',
        '314': 'MM_State_Observer-012.csv',
        '317': 'MM_State_Observer-012.csv',
        '320': 'MM_State_Observer-012.csv',
        '323': 'MM_State_Observer-012.csv',
        '326': 'MM_State_Observer-012.csv',
        '329': 'MM_State_Observer-012.csv',
        '333': 'MM_State_Observer-012.csv'
      },
      'Cell viability': {
        '0': 0.9658,
        '1': 0.9825,
        '2': 0.9933,
        '3': 0.9933,
        '5': 0.9879000000000001,
        '8': 0.9912000000000001,
        '11': 0.9865,
        '14': 0.9761,
        '17': 0.9706,
        '20': 0.9387000000000001,
        '24': 0.9091,
        '27': 0.8911,
        '28': 0.9464,
        '29': 0.99,
        '30': 0.9936,
        '32': 0.9884999999999999,
        '35': 0.9908,
        '38': 0.9864,
        '41': 0.9648,
        '44': 0.9504,
        '47': 0.9455,
        '50': 0.9085,
        '51': 0.8872,
        '55': 0.9669,
        '56': 0.9884000000000001,
        '57': 0.9984000000000001,
        '58': 0.991,
        '60': 0.9919,
        '63': 0.9912000000000001,
        '66': 0.9856999999999999,
        '69': 0.976,
        '72': 0.9717,
        '75': 0.9632,
        '78': 0.951,
        '82': 0.8946999999999999,
        '83': 0.9606,
        '84': 0.9865,
        '85': 0.985,
        '86': 0.98,
        '88': 0.9845999999999999,
        '91': 0.9878,
        '94': 0.9823999999999999,
        '97': 0.9745999999999999,
        '100': 0.9689,
        '103': 0.9627,
        '106': 0.9487000000000001,
        '107': 0.9345,
        '110': 0.8873000000000001,
        '111': 0.9523999999999999,
        '112': 0.9839,
        '113': 0.9902,
        '114': 0.983,
        '116': 0.9890000000000001,
        '119': 0.9854999999999999,
        '122': 0.9821,
        '125': 0.9648,
        '128': 0.9479000000000001,
        '131': 0.9244,
        '134': 0.8733,
        '135': 0.8471,
        '139': 0.9638,
        '140': 0.9919,
        '141': 0.9876,
        '142': 0.9921,
        '144': 0.9875,
        '147': 0.9883,
        '150': 0.9811,
        '152': 0.9643999999999999,
        '155': 0.9587,
        '158': 0.9492,
        '161': 0.9359000000000001,
        '165': 0.8957999999999999,
        '166': 0.9734,
        '167': 0.9873000000000001,
        '168': 0.9723999999999999,
        '169': 0.9893000000000001,
        '171': 0.9898,
        '174': 0.9884999999999999,
        '177': 0.9851000000000001,
        '180': 0.9739,
        '183': 0.9634999999999999,
        '186': 0.9555,
        '189': 0.9423999999999999,
        '193': 0.8917,
        '194': 0.9588,
        '195': 0.9739,
        '196': 0.9787,
        '197': 0.9867,
        '199': 0.9787,
        '202': 0.9834,
        '205': 0.9749,
        '208': 0.9609000000000001,
        '211': 0.9592,
        '214': 0.9501999999999999,
        '217': 0.9381999999999999,
        '221': 0.8963,
        '222': 0.9915,
        '223': 0.9765,
        '224': 0.973,
        '225': 0.9937,
        '227': 0.9879000000000001,
        '230': 0.9875,
        '233': 0.9803000000000001,
        '236': 0.9595,
        '239': 0.955,
        '242': 0.956,
        '245': 0.9333,
        '249': 0.8536,
        '250': 0.9925,
        '251': 0.9695999999999999,
        '252': 0.985,
        '253': 0.9799,
        '255': 0.9893000000000001,
        '258': 0.9882,
        '261': 0.9887999999999999,
        '264': 0.9829000000000001,
        '267': 0.973,
        '270': 0.8269,
        '277': 0.7662,
        '278': 0.9487000000000001,
        '280': 0.9701000000000001,
        '281': 0.9890000000000001,
        '283': 0.9868000000000001,
        '286': 0.9843000000000001,
        '289': 0.9792000000000001,
        '292': 0.9752,
        '295': 0.9634999999999999,
        '298': 0.9627,
        '301': 0.9405,
        '305': 0.8773000000000001,
        '306': 0.9912000000000001,
        '307': 0.9956999999999999,
        '308': 0.9854,
        '309': 0.9890000000000001,
        '311': 0.9872,
        '314': 0.9825,
        '317': 0.9797,
        '320': 0.9643999999999999,
        '323': 0.9545999999999999,
        '326': 0.9519,
        '329': 0.9315000000000001,
        '333': 0.8818
      },
      DO: {
        '0': 77.23235952,
        '1': 73.587924,
        '2': 58.02793633,
        '3': 60.56114266,
        '5': 59.52730075,
        '8': 58.78094691,
        '11': 56.6130394,
        '14': 62.81275611,
        '17': 61.26522627,
        '20': 64.51874551,
        '24': 58.4606987,
        '27': 77.37161362,
        '28': 75.11342595,
        '29': 60.75022442,
        '30': 60.29389659,
        '32': 59.52730075,
        '35': 65.61524611,
        '38': 60.24882908,
        '41': 59.84223892,
        '44': 61.01986149,
        '47': 59.43882152,
        '50': 60.04513519,
        '51': 61.74987956,
        '55': 76.50658539,
        '56': 72.3674803,
        '57': 59.41696627,
        '58': 59.12310776,
        '60': 60.26064401,
        '63': 58.53164541,
        '66': 61.01984551,
        '69': 59.57805121,
        '72': 62.55662012,
        '75': 64.01915118,
        '78': 62.12815871,
        '82': 62.11877586,
        '83': 76.22082586,
        '84': 76.47204085,
        '85': 60.70747446,
        '86': 59.89266827,
        '88': 60.5002708,
        '91': 59.37535185,
        '94': 62.45860596,
        '97': 61.65028287,
        '100': 66.69162235,
        '103': 65.47585738,
        '106': 63.42410747,
        '107': 60.08834712,
        '110': 62.47456626,
        '111': 76.67846897,
        '112': 75.11342595,
        '113': 59.56904398,
        '114': 60.02801331,
        '116': 59.37535185,
        '119': 58.7720598,
        '122': 71.20132823,
        '125': 60.0042292,
        '128': 59.01032078,
        '131': 57.8228988,
        '134': 60.15636905,
        '135': 60.0042292,
        '139': 77.10502576,
        '140': 75.6418475,
        '141': 60.03708808,
        '142': 59.79059465,
        '144': 59.9528448,
        '147': 61.54467861,
        '150': 57.98748829,
        '152': 56.57212216,
        '155': 62.96639494,
        '158': 59.7410885,
        '161': 58.83956764,
        '165': 61.62607876,
        '166': 75.86832765,
        '167': 73.19629959,
        '168': 63.87285248,
        '169': 59.67970382,
        '171': 60.96765264,
        '174': 59.12310776,
        '177': 58.27475661,
        '180': 61.22914354,
        '183': 60.87261911,
        '186': 60.91551229,
        '189': 61.75610109,
        '193': 61.79042445,
        '194': 72.68908232,
        '195': 61.11515418,
        '196': 60.8113888,
        '197': 60.61292516,
        '199': 62.24434427,
        '202': 60.34541264,
        '205': 59.22385521,
        '208': 57.78232556,
        '211': 59.84160601,
        '214': 58.82206072,
        '217': 58.57254949,
        '221': 61.01984551,
        '222': 76.48355486,
        '223': 74.44538716,
        '224': 59.1734565,
        '225': 59.12310776,
        '227': 61.01984551,
        '230': 59.02255991,
        '233': 57.14933786,
        '236': 59.88361774,
        '239': 69.60444737,
        '242': 59.45016718,
        '245': 58.85243706,
        '249': 59.99498029,
        '250': 77.38326196,
        '251': 75.54057052,
        '252': 59.9437815,
        '253': 59.21490007,
        '255': 59.83256299,
        '258': 52.58844694,
        '261': 61.07209095,
        '264': 60.70747446,
        '267': 60.14874562,
        '270': 59.93472346,
        '277': 58.35616995,
        '278': 76.81647465,
        '280': 62.67374224,
        '281': 60.698301,
        '283': 59.37535185,
        '286': 61.07209095,
        '289': 55.48437516,
        '292': 60.35453112,
        '295': 62.23494739,
        '298': 59.37535185,
        '301': 62.07484568,
        '305': 64.84498188,
        '306': 77.87320778,
        '307': 74.51185796,
        '308': 61.21989323,
        '309': 59.57805121,
        '311': 59.57805121,
        '314': 60.13056756,
        '317': 65.50653293,
        '320': 61.75264618,
        '323': 57.1209564,
        '326': 60.4008758,
        '329': 58.93360984,
        '333': 61.83923295
      },
      Glucose: {
        '0': 6.03986589616128,
        '1': 5.84987011593612,
        '2': 5.18988476992932,
        '3': 3.79991562972504,
        '5': 5.25988321451688,
        '8': 5.43987921797328,
        '11': 4.429901643624,
        '14': 2.12995270936896,
        '17': 0.069998445848652,
        '20': 0.379991562972504,
        '24': 0.1199973356376,
        '27': 6.03986589616128,
        '28': 5.90986878375492,
        '29': 5.0898869896308,
        '30': 3.71991740656716,
        '32': 5.22988388060748,
        '35': 5.54987677684212,
        '38': 5.3598809948154,
        '41': 5.25988321451688,
        '44': 4.80989320587588,
        '47': 3.01993294808064,
        '50': 1.21997291297617,
        '51': 0.539988010729512,
        '55': 6.02986611939252,
        '56': 5.90986878375492,
        '57': 5.1498856574496,
        '58': 3.73991696190624,
        '60': 5.22988388060748,
        '63': 5.48987810902332,
        '66': 4.53989920069128,
        '69': 2.65994094116784,
        '72': 2.62994160725844,
        '75': 2.71993960898664,
        '78': 3.13993028371824,
        '82': 3.52992162454044,
        '83': 6.21986190141924,
        '84': 5.87986944984552,
        '85': 5.10988654496988,
        '86': 3.85991429754384,
        '88': 5.27988277165752,
        '91': 5.54987677684212,
        '94': 4.43990142039276,
        '97': 2.57994271800996,
        '100': 0.399991119032208,
        '103': 0.229994893425504,
        '106': 0.339992451213408,
        '107': 0.879980461762764,
        '110': 0.939979129581564,
        '111': 6.1698630103692,
        '112': 5.76987189097668,
        '113': 5.09988676820112,
        '114': 3.81991518686568,
        '116': 5.34988121624508,
        '119': 5.55987655361088,
        '122': 4.68989587023828,
        '125': 4.5498989792616,
        '128': 4.94989009685256,
        '131': 4.40990208648336,
        '134': 4.43990142039276,
        '135': 4.43990142039276,
        '139': 6.1398636764598,
        '140': 5.8398703373658,
        '141': 5.16988521278868,
        '142': 3.77991607438596,
        '144': 5.40987988406388,
        '147': 5.55987655361088,
        '150': 5.329881660906,
        '152': 4.10990874738936,
        '155': 3.51992184777168,
        '158': 4.10990874738936,
        '161': 4.3399036418958,
        '165': 3.10993094980884,
        '166': 6.15986323179888,
        '167': 5.779871669547,
        '168': 5.0598876557214,
        '169': 3.73991696190624,
        '171': 5.24988343774812,
        '174': 5.25988321451688,
        '177': 4.3999023097146,
        '180': 2.83993694462424,
        '183': 2.44994560380204,
        '186': 2.79993783214452,
        '189': 2.97993383740248,
        '193': 1.77996047958523,
        '194': 6.15986323179888,
        '195': 5.91986856052368,
        '196': 5.2398836591778,
        '197': 4.14990785986908,
        '199': 5.76987189097668,
        '202': 5.90986878375492,
        '205': 4.97988943076196,
        '208': 2.77993827680544,
        '211': 2.56994293943964,
        '214': 2.89993561244304,
        '217': 2.93993472492276,
        '221': 1.75996092370568,
        '222': 6.1098643425504,
        '223': 5.84987011593612,
        '224': 5.1198863235402,
        '225': 3.80991540829536,
        '227': 5.3898803287248,
        '230': 5.52987721970148,
        '233': 4.85989209512436,
        '236': 3.67991829408744,
        '239': 1.80995981313432,
        '242': 1.77996047958523,
        '245': 1.62996380985808,
        '249': 1.68996247785703,
        '250': 6.1398636764598,
        '251': 5.81987078202672,
        '252': 5.179884991359,
        '253': 3.78991585295628,
        '255': 5.30988210556692,
        '258': 5.4198796626342,
        '261': 4.07990941347996,
        '264': 1.65996314394763,
        '267': 0.40999089706206,
        '270': 0.139996891697304,
        '277': 0.0899980017282,
        '278': 6.14986345503012,
        '280': 5.15988543601992,
        '281': 3.77991607438596,
        '283': 5.37988055015448,
        '286': 5.48987810902332,
        '289': 4.56989853460068,
        '292': 2.08995359688924,
        '295': 2.14995226470804,
        '298': 2.37994715741292,
        '301': 2.49994449305052,
        '305': 2.91993516958368,
        '306': 6.1398636764598,
        '307': 5.8398703373658,
        '308': 5.19988454669808,
        '309': 3.73991696190624,
        '311': 5.2698829930872,
        '314': 5.52987721970148,
        '317': 4.34990341866456,
        '320': 3.07993161589944,
        '323': 1.67996269982718,
        '326': 0.229994893425504,
        '329': 0.569987344638912,
        '333': 0.069998445848652
      },
      'Glucose added': {
        '0': 0.0,
        '1': 0.0,
        '2': 0.0,
        '3': 0.578314628,
        '5': 0.567178232,
        '8': 0.553608856,
        '11': 0.540472477,
        '14': 0.524112393,
        '17': 0.911895624,
        '20': 1.24658071,
        '24': 1.897927524,
        '27': 0.0,
        '28': 0.0,
        '29': 0.0,
        '30': 0.578319622,
        '32': 0.567185502,
        '35': 0.553623285,
        '38': 0.540552739,
        '41': 0.524370326,
        '44': 0.504071777,
        '47': 0.488663311,
        '50': 0.64247421,
        '51': 0.943785592,
        '55': 0.0,
        '56': 0.0,
        '57': 0.0,
        '58': 0.578316244,
        '60': 0.567175037,
        '63': 0.55359762,
        '66': 0.637885436,
        '69': 1.120754088,
        '72': 1.612590443,
        '75': 2.097799537,
        '78': 2.498091916,
        '82': 0.0,
        '83': 0.0,
        '84': 0.0,
        '85': 0.0,
        '86': 0.578319365,
        '88': 0.567190679,
        '91': 0.553637238,
        '94': 0.540527405,
        '97': 0.524217255,
        '100': 0.842333387,
        '103': 1.20852333,
        '106': 1.556813755,
        '107': 1.787899756,
        '110': 0.0,
        '111': 0.0,
        '112': 0.0,
        '113': 0.0,
        '114': 0.578320576,
        '116': 0.56718943,
        '119': 0.553629747,
        '122': 0.606469633,
        '125': 0.687352103,
        '128': 0.67929692,
        '131': 0.792187117,
        '134': 0.901281217,
        '135': 1.009381264,
        '139': 0.0,
        '140': 0.0,
        '141': 0.0,
        '142': 0.57832612,
        '144': 0.567203125,
        '147': 0.55366382,
        '150': 0.540539815,
        '152': 0.714354239,
        '155': 1.012115994,
        '158': 1.192229869,
        '161': 1.324120448,
        '165': 0.0,
        '166': 0.0,
        '167': 0.0,
        '168': 0.0,
        '169': 0.57832087,
        '171': 0.567183702,
        '174': 0.553600741,
        '177': 0.667235498,
        '180': 1.112076093,
        '183': 1.642117017,
        '186': 2.110187457,
        '189': 2.545704165,
        '193': 0.0,
        '194': 0.0,
        '195': 0.0,
        '196': 0.0,
        '197': 0.574451873,
        '199': 0.561218966,
        '202': 0.545802936,
        '205': 0.536218891,
        '208': 0.98210438,
        '211': 1.473964189,
        '214': 1.908527682,
        '217': 2.340733841,
        '221': 0.0,
        '222': 0.0,
        '223': 0.0,
        '224': 0.0,
        '225': 0.578320466,
        '227': 0.567180361,
        '230': 0.553617154,
        '233': 0.540478241,
        '236': 0.524209545,
        '239': 0.544360515,
        '242': 0.576561065,
        '245': 0.642322731,
        '249': 0.0,
        '250': 0.0,
        '251': 0.0,
        '252': 0.0,
        '253': 0.578325496,
        '255': 0.567204337,
        '258': 0.553664812,
        '261': 0.54055608,
        '264': 0.596373964,
        '267': 0.913337342,
        '270': 1.29954685,
        '277': 0.0,
        '278': 0.0,
        '280': 0.0,
        '281': 0.571660357,
        '283': 0.560527706,
        '286': 0.546959615,
        '289': 0.623837968,
        '292': 1.220182892,
        '295': 1.808841031,
        '298': 2.363003005,
        '301': 2.900098943,
        '305': 0.0,
        '306': 0.0,
        '307': 0.0,
        '308': 0.0,
        '309': 0.571669022,
        '311': 0.560547863,
        '314': 0.547013184,
        '317': 0.533901699,
        '320': 0.517700193,
        '323': 0.564522568,
        '326': 0.923003436,
        '329': 1.216204258,
        '333': 0.0
      },
      Glutamate: {
        '0': 0.4237344,
        '1': 0.4472752,
        '2': 0.470816,
        '3': 0.3987223,
        '5': 0.4737586,
        '8': 0.4443326,
        '11': 0.2751331,
        '14': 0.0912206,
        '17': 0.0971058,
        '20': 0.0426677,
        '24': 0.1824412,
        '27': 0.4355048,
        '28': 0.4487465,
        '29': 0.4502178,
        '30': 0.3884232,
        '32': 0.4531604,
        '35': 0.4531604,
        '38': 0.3251573,
        '41': 0.3913658,
        '44': 0.3648824,
        '47': 0.5120124,
        '50': 0.5384958,
        '51': 0.5693931,
        '55': 0.4296196,
        '56': 0.4502178,
        '57': 0.4472752,
        '58': 0.382538,
        '60': 0.4590456,
        '63': 0.4252057,
        '66': 0.2000968,
        '69': 0.073565,
        '72': 0.0250121,
        '75': 0.1044623,
        '78': 0.0456103,
        '82': 0.1206466,
        '83': 0.4458039,
        '84': 0.4428613,
        '85': 0.44139,
        '86': 0.3898945,
        '88': 0.4649308,
        '91': 0.4369761,
        '94': 0.2692479,
        '97': 0.0529668,
        '100': 0.088278,
        '103': 0.1000484,
        '106': 0.0426677,
        '107': 0.1206466,
        '110': 0.1647856,
        '111': 0.4355048,
        '112': 0.4369761,
        '113': 0.4369761,
        '114': 0.3913658,
        '116': 0.4796438,
        '119': 0.4178492,
        '122': 0.323686,
        '125': 0.2545349,
        '128': 0.29426,
        '131': 0.4060788,
        '134': 0.3913658,
        '135': 0.5355532,
        '139': 0.4325622,
        '140': 0.4281483,
        '141': 0.4443326,
        '142': 0.3854806,
        '144': 0.485529,
        '147': 0.4310909,
        '150': 0.2457071,
        '152': 0.1530152,
        '155': 0.0662085,
        '158': 0.14713,
        '161': 0.2192237,
        '165': 0.3001452,
        '166': 0.4355048,
        '167': 0.426677,
        '168': 0.4369761,
        '169': 0.3854806,
        '171': 0.4737586,
        '174': 0.3943084,
        '177': 0.2530636,
        '180': 0.0926919,
        '183': 0.0956345,
        '186': 0.073565,
        '189': 0.0779789,
        '193': 0.0971058,
        '194': 0.4296196,
        '195': 0.4340335,
        '196': 0.44139,
        '197': 0.3869519,
        '199': 0.4811151,
        '202': 0.4472752,
        '205': 0.3148582,
        '208': 0.0794502,
        '211': 0.0838641,
        '214': 0.102991,
        '217': 0.088278,
        '221': 0.102991,
        '222': 0.4296196,
        '223': 0.4325622,
        '224': 0.4369761,
        '225': 0.3781241,
        '227': 0.4649308,
        '230': 0.4104927,
        '233': 0.2148098,
        '236': 0.1500726,
        '239': 0.0794502,
        '242': 0.1824412,
        '245': 0.3104443,
        '249': 0.4310909,
        '250': 0.4340335,
        '251': 0.4281483,
        '252': 0.4355048,
        '253': 0.3766528,
        '255': 0.4634595,
        '258': 0.4134353,
        '261': 0.2295228,
        '264': 0.0868067,
        '267': 0.1736134,
        '270': 0.1147614,
        '277': 0.1544865,
        '278': 0.4443326,
        '280': 0.4369761,
        '281': 0.3766528,
        '283': 0.4502178,
        '286': 0.4355048,
        '289': 0.29426,
        '292': 0.1206466,
        '295': 0.102991,
        '298': 0.0205982,
        '301': 0.1559578,
        '305': 0.1250605,
        '306': 0.4237344,
        '307': 0.4310909,
        '308': 0.4207918,
        '309': 0.3810667,
        '311': 0.4664021,
        '314': 0.3943084,
        '317': 0.2589488,
        '320': 0.1633143,
        '323': 0.1162327,
        '326': 0.1397735,
        '329': 0.0926919,
        '333': 0.1353596
      },
      Glutamine: {
        '0': 0.986445,
        '1': 0.7730806,
        '2': 0.3595044,
        '3': 0.0263052,
        '5': 0.0277666,
        '8': 0.029228,
        '11': 0.036535,
        '14': 0.043842,
        '17': 0.0204596,
        '20': 0.1359102,
        '24': 0.0277666,
        '27': 0.9849836,
        '28': 0.767235,
        '29': 0.3405062,
        '30': 0.0160754,
        '32': 0.0321508,
        '35': 0.065763,
        '38': 0.0555332,
        '41': 0.0350736,
        '44': 0.0832998,
        '47': 0.1198348,
        '50': 0.2031346,
        '51': 0.1797522,
        '55': 0.9835222,
        '56': 0.7511596,
        '57': 0.3565816,
        '58': 0.0160754,
        '60': 0.0204596,
        '63': 0.0321508,
        '66': 0.1125278,
        '69': 0.0394578,
        '72': 0.0306894,
        '75': 0.0321508,
        '78': 0.014614,
        '82': 0.0745314,
        '83': 0.986445,
        '84': 0.7657736,
        '85': 0.3565816,
        '86': 0.0189982,
        '88': 0.0204596,
        '91': 0.036535,
        '94': 0.036535,
        '97': 0.0496876,
        '100': 0.0263052,
        '103': 0.0350736,
        '106': 0.0306894,
        '107': 0.0175368,
        '110': 0.0745314,
        '111': 0.9908292,
        '112': 0.767235,
        '113': 0.350736,
        '114': 0.0116912,
        '116': 0.007307,
        '119': 0.029228,
        '122': 0.0204596,
        '125': 0.0555332,
        '128': 0.0599174,
        '131': 0.0993752,
        '134': 0.1476014,
        '135': 0.2221328,
        '139': 0.9952134,
        '140': 0.7686964,
        '141': 0.3638886,
        '142': 0.0189982,
        '144': 0.0379964,
        '147': 0.043842,
        '150': 0.0774542,
        '152': 0.0789156,
        '155': 0.1037594,
        '158': 0.0716086,
        '161': 0.094991,
        '165': 0.168061,
        '166': 0.9922906,
        '167': 0.7555438,
        '168': 0.3711956,
        '169': 0.0336122,
        '171': 0.0350736,
        '174': 0.094991,
        '177': 0.0672244,
        '180': 0.0350736,
        '183': 0.0482262,
        '186': 0.0496876,
        '189': 0.0453034,
        '193': 0.0555332,
        '194': 1.0142116,
        '195': 0.7847718,
        '196': 0.3887324,
        '197': 0.0277666,
        '199': 0.0248438,
        '202': 0.0043842,
        '205': 0.065763,
        '208': 0.0686858,
        '211': 0.0277666,
        '214': 0.0277666,
        '217': 0.0526104,
        '221': 0.0394578,
        '222': 0.9966748,
        '223': 0.7657736,
        '224': 0.3551202,
        '225': 0.0263052,
        '227': 0.021921,
        '230': 0.0379964,
        '233': 0.1154506,
        '236': 0.0409192,
        '239': 0.0189982,
        '242': 0.0569946,
        '245': 0.0087684,
        '249': 0.1402944,
        '250': 0.9952134,
        '251': 0.7511596,
        '252': 0.3711956,
        '253': 0.0263052,
        '255': 0.029228,
        '258': 0.0306894,
        '261': 0.1052208,
        '264': 0.0526104,
        '267': 0.0306894,
        '270': 0.0306894,
        '277': 0.0321508,
        '278': 0.9703696,
        '280': 0.3565816,
        '281': 0.0248438,
        '283': 0.0394578,
        '286': 0.0350736,
        '289': 0.0979138,
        '292': 0.036535,
        '295': 0.058456,
        '298': 0.1344488,
        '301': 0.0643016,
        '305': 0.0906068,
        '306': 0.9849836,
        '307': 0.7584666,
        '308': 0.3595044,
        '309': 0.0233824,
        '311': 0.0321508,
        '314': 0.0102298,
        '317': 0.0774542,
        '320': 0.0628402,
        '323': 0.0467648,
        '326': 0.0818384,
        '329': 0.0453034,
        '333': 0.0964524
      },
      'IgG Titers (mg/L)': {
        '0': 19.0,
        '1': 32.0,
        '2': 86.0,
        '3': 171.0,
        '5': 355.0,
        '8': 669.0,
        '11': 1133.5,
        '14': 1624.0,
        '17': 1986.0,
        '20': 2183.5,
        '24': 2545.5,
        '27': 19.0,
        '28': 36.0,
        '29': 77.0,
        '30': 195.0,
        '32': 357.0,
        '35': 708.0,
        '38': 974.0,
        '41': 1297.5,
        '44': 1513.0,
        '47': 1828.5,
        '50': 1999.0,
        '51': 2201.5,
        '55': 20.0,
        '56': 37.0,
        '57': 82.0,
        '58': 202.0,
        '60': 365.0,
        '63': 639.0,
        '66': 1125.5,
        '69': 1507.5,
        '72': 1903.5,
        '75': 2141.0,
        '78': 2211.0,
        '82': 2912.0,
        '83': 21.0,
        '84': 39.0,
        '85': 94.0,
        '86': 234.0,
        '88': 427.0,
        '91': 736.0,
        '94': 1018.0,
        '97': 1676.5,
        '100': 2025.0,
        '103': 2108.0,
        '106': 1959.5,
        '107': 2762.5,
        '110': 2782.0,
        '111': 20.0,
        '112': 40.0,
        '113': 95.0,
        '114': 231.0,
        '116': 478.0,
        '119': 740.0,
        '122': 1191.0,
        '125': 1071.0,
        '128': 1102.5,
        '131': 1488.5,
        '134': 2011.5,
        '135': 2153.0,
        '139': 20.0,
        '140': 40.0,
        '141': 80.0,
        '142': 225.0,
        '144': 368.0,
        '147': 739.0,
        '150': 1179.0,
        '152': 1567.5,
        '155': 1665.0,
        '158': 1933.5,
        '161': 2053.5,
        '165': 2252.5,
        '166': 29.0,
        '167': 47.0,
        '168': 101.0,
        '169': 221.0,
        '171': 409.0,
        '174': 721.0,
        '177': 1228.5,
        '180': 1610.5,
        '183': 2020.0,
        '186': 2307.0,
        '189': 2482.5,
        '193': 2952.5,
        '194': 29.0,
        '195': 48.0,
        '196': 97.0,
        '197': 220.0,
        '199': 391.0,
        '202': 682.0,
        '205': 1131.5,
        '208': 1580.5,
        '211': 1947.5,
        '214': 2272.0,
        '217': 2570.0,
        '221': 2965.5,
        '222': 25.0,
        '223': 54.0,
        '224': 141.0,
        '225': 311.0,
        '227': 541.0,
        '230': 1034.0,
        '233': 1152.0,
        '236': 1632.0,
        '239': 1821.0,
        '242': 2080.0,
        '245': 2053.0,
        '249': 2137.5,
        '250': 29.0,
        '251': 46.0,
        '252': 149.0,
        '253': 384.0,
        '255': 623.0,
        '258': 1082.0,
        '261': 1206.0,
        '264': 1710.0,
        '267': 1911.0,
        '270': 2086.0,
        '277': 2628.5,
        '278': 23.0,
        '280': 109.0,
        '281': 223.0,
        '283': 412.0,
        '286': 861.0,
        '289': 1360.5,
        '292': 1956.5,
        '295': 2265.0,
        '298': 2665.5,
        '301': 2841.5,
        '305': 3025.0,
        '306': 21.0,
        '307': 43.0,
        '308': 100.0,
        '309': 226.0,
        '311': 305.0,
        '314': 789.0,
        '317': 1331.5,
        '320': 1712.5,
        '323': 2179.0,
        '326': 2238.0,
        '329': 2881.5,
        '333': 2482.5
      },
      Lactate: {
        '0': 0.10113393956784,
        '1': 0.29328842486384,
        '2': 0.70793757715504,
        '3': 1.142813517576,
        '5': 0.6270304255368,
        '8': 0.29328842486384,
        '11': 0.19215448520592,
        '14': 0.33374200067296,
        '17': 0.11124733358768,
        '20': 0.16181430332656,
        '24': 0.08090715170832,
        '27': 0.10113393956784,
        '28': 0.34385539460272,
        '29': 0.758504546984,
        '30': 1.142813517576,
        '32': 0.64725721339632,
        '35': 0.26294824298448,
        '38': 0.09102054563808,
        '41': 0.1719276973464,
        '44': 0.1719276973464,
        '47': 0.36408218255232,
        '50': 0.33374200067296,
        '51': 0.18204109127616,
        '55': 0.09102054563808,
        '56': 0.3034018187936,
        '57': 0.7382777590344,
        '58': 1.1630403050752,
        '60': 0.65737060741616,
        '63': 0.3034018187936,
        '66': 0.1314741214472,
        '69': 0.31351521272336,
        '72': 0.283175030844,
        '75': 0.37419557648208,
        '78': 0.39442236443168,
        '82': 0.20226787922576,
        '83': 0.12136072751744,
        '84': 0.33374200067296,
        '85': 0.71805097117488,
        '86': 1.0922465474768,
        '88': 0.66748400134592,
        '91': 0.35396878862256,
        '94': 0.23260806110512,
        '97': 0.27306163691424,
        '100': 0.34385539460272,
        '103': 0.34385539460272,
        '106': 0.27306163691424,
        '107': 0.19215448520592,
        '110': 0.23260806110512,
        '111': 0.12136072751744,
        '112': 0.3034018187936,
        '113': 0.70793757715504,
        '114': 1.1630403050752,
        '116': 0.67759739527568,
        '119': 0.38430897050192,
        '122': 0.12136072751744,
        '125': 0.1314741214472,
        '128': 0.18204109127616,
        '131': 0.3034018187936,
        '134': 0.3236286067432,
        '135': 0.23260806110512,
        '139': 0.12136072751744,
        '140': 0.29328842486384,
        '141': 0.71805097117488,
        '142': 1.152926911776,
        '144': 0.72816436510464,
        '147': 0.37419557648208,
        '150': 0.14158751546704,
        '152': 0.24272145503488,
        '155': 0.34385539460272,
        '158': 0.34385539460272,
        '161': 0.3236286067432,
        '165': 0.25283484896464,
        '166': 0.11124733358768,
        '167': 0.3034018187936,
        '168': 0.72816436510464,
        '169': 1.2034938809744,
        '171': 0.69782418322528,
        '174': 0.33374200067296,
        '177': 0.21238127315552,
        '180': 0.24272145503488,
        '183': 0.36408218255232,
        '186': 0.37419557648208,
        '189': 0.3236286067432,
        '193': 0.21238127315552,
        '194': 0.11124733358768,
        '195': 0.283175030844,
        '196': 0.67759739527568,
        '197': 0.93043224388,
        '199': 0.53600987989872,
        '202': 0.44498933426064,
        '205': 0.24272145503488,
        '208': 0.35396878862256,
        '211': 0.35396878862256,
        '214': 0.38430897050192,
        '217': 0.283175030844,
        '221': 0.22249466708528,
        '222': 0.11124733358768,
        '223': 0.3034018187936,
        '224': 0.69782418322528,
        '225': 1.152926911776,
        '227': 0.63714381946656,
        '230': 0.36408218255232,
        '233': 0.21238127315552,
        '236': 0.20226787922576,
        '239': 0.36408218255232,
        '242': 0.23260806110512,
        '245': 0.23260806110512,
        '249': 0.29328842486384,
        '250': 0.10113393956784,
        '251': 0.31351521272336,
        '252': 0.66748400134592,
        '253': 1.152926911776,
        '255': 0.67759739527568,
        '258': 0.37419557648208,
        '261': 0.12136072751744,
        '264': 0.3034018187936,
        '267': 0.0,
        '270': 0.06068036375872,
        '277': 0.10113393956784,
        '278': 0.11124733358768,
        '280': 0.69782418322528,
        '281': 1.152926911776,
        '283': 0.65737060741616,
        '286': 0.41464915238128,
        '289': 0.1314741214472,
        '292': 0.3236286067432,
        '295': 0.21238127315552,
        '298': 0.51578309194912,
        '301': 0.1719276973464,
        '305': 0.22249466708528,
        '306': 0.09102054563808,
        '307': 0.3034018187936,
        '308': 0.74839115305424,
        '309': 1.1933804876752,
        '311': 0.68771078929552,
        '314': 0.4348759402408,
        '317': 0.24272145503488,
        '320': 0.20226787922576,
        '323': 0.20226787922576,
        '326': 0.36408218255232,
        '329': 0.25283484896464,
        '333': 0.1314741214472
      },
      Temperature: {
        '0': 36.81000137,
        '1': 36.81000137,
        '2': 36.79999924,
        '3': 36.79000092,
        '5': 36.79999924,
        '8': 36.79000092,
        '11': 37.49000168,
        '14': 37.5,
        '17': 37.5,
        '20': 37.5,
        '24': 37.49000168,
        '27': 36.81000137,
        '28': 36.81000137,
        '29': 36.81000137,
        '30': 36.79999924,
        '32': 36.79999924,
        '35': 34.25999832,
        '38': 34.0,
        '41': 34.0,
        '44': 34.0,
        '47': 34.0,
        '50': 34.0,
        '51': 34.0,
        '55': 36.77999878,
        '56': 36.79999924,
        '57': 36.81000137,
        '58': 36.79999924,
        '60': 36.77999878,
        '63': 36.79000092,
        '66': 36.79999924,
        '69': 36.79999924,
        '72': 36.79999924,
        '75': 36.81000137,
        '78': 36.79999924,
        '82': 36.81000137,
        '83': 36.79000092,
        '84': 36.81000137,
        '85': 36.79999924,
        '86': 36.79000092,
        '88': 36.79999924,
        '91': 36.79999924,
        '94': 36.79000092,
        '97': 36.79999924,
        '100': 36.79999924,
        '103': 36.81999969,
        '106': 36.79999924,
        '107': 36.79999924,
        '110': 36.83000183,
        '111': 36.81000137,
        '112': 36.79999924,
        '113': 36.81000137,
        '114': 36.81000137,
        '116': 36.79999924,
        '119': 36.79000092,
        '122': 33.45000076,
        '125': 33.0,
        '128': 32.99000168,
        '131': 33.0,
        '134': 33.0,
        '135': 33.0,
        '139': 36.79999924,
        '140': 36.81999969,
        '141': 36.79999924,
        '142': 36.79000092,
        '144': 36.77999878,
        '147': 36.79999924,
        '150': 36.79000092,
        '152': 36.79999924,
        '155': 34.31999969,
        '158': 34.0,
        '161': 34.0,
        '165': 34.02000046,
        '166': 36.79999924,
        '167': 36.81000137,
        '168': 36.79000092,
        '169': 36.79999924,
        '171': 36.79999924,
        '174': 36.79999924,
        '177': 36.79999924,
        '180': 36.79999924,
        '183': 36.79999924,
        '186': 36.79999924,
        '189': 36.79999924,
        '193': 36.81999969,
        '194': 36.79999924,
        '195': 36.81000137,
        '196': 36.79999924,
        '197': 36.79000092,
        '199': 36.79000092,
        '202': 36.79999924,
        '205': 36.79999924,
        '208': 36.79999924,
        '211': 36.79000092,
        '214': 36.79999924,
        '217': 36.79999924,
        '221': 36.79999924,
        '222': 36.79999924,
        '223': 36.81000137,
        '224': 36.79999924,
        '225': 36.79999924,
        '227': 36.79999924,
        '230': 36.79999924,
        '233': 36.79999924,
        '236': 36.79999924,
        '239': 33.50999832,
        '242': 33.0,
        '245': 33.0,
        '249': 33.00999832,
        '250': 36.79999924,
        '251': 36.79000092,
        '252': 36.79000092,
        '253': 36.81999969,
        '255': 36.79999924,
        '258': 36.79000092,
        '261': 36.79999924,
        '264': 36.79999924,
        '267': 36.79000092,
        '270': 36.79999924,
        '277': 36.81999969,
        '278': 36.81000137,
        '280': 36.79000092,
        '281': 36.81000137,
        '283': 36.79999924,
        '286': 36.79999924,
        '289': 36.79999924,
        '292': 36.79000092,
        '295': 36.79999924,
        '298': 36.79999924,
        '301': 36.79999924,
        '305': 36.81999969,
        '306': 36.79999924,
        '307': 36.81000137,
        '308': 36.81000137,
        '309': 36.79999924,
        '311': 36.79999924,
        '314': 36.81000137,
        '317': 35.16999817,
        '320': 35.0,
        '323': 35.0,
        '326': 35.0,
        '329': 35.0,
        '333': 35.02000046
      },
      Time: {
        '0': 0.154386574,
        '1': 1.0228125,
        '2': 2.01025463,
        '3': 3.010231481,
        '5': 4.010115741,
        '8': 5.015069444,
        '11': 6.014155093,
        '14': 7.015405093,
        '17': 8.010601852,
        '20': 9.011319444,
        '24': 11.01319444,
        '27': 0.15869213,
        '28': 1.023796296,
        '29': 2.011261574,
        '30': 3.01125,
        '32': 4.011886574,
        '35': 5.017743056,
        '38': 6.015902778,
        '41': 7.016469907,
        '44': 8.011574074,
        '47': 9.0128125,
        '50': 10.01146991,
        '51': 11.01533565,
        '55': 0.161886574,
        '56': 1.024756944,
        '57': 2.01224537,
        '58': 3.012256944,
        '60': 4.012893519,
        '63': 5.019490741,
        '66': 6.018136574,
        '69': 7.018506944,
        '72': 8.012511574,
        '75': 9.013865741,
        '78': 10.01255787,
        '82': 12.02703704,
        '83': 0.163715278,
        '84': 1.026493056,
        '85': 2.013993056,
        '86': 3.014016204,
        '88': 4.014652778,
        '91': 5.021111111,
        '94': 6.019537037,
        '97': 7.019594907,
        '100': 8.014224537,
        '103': 9.01568287,
        '106': 10.015,
        '107': 11.0180787,
        '110': 12.03217593,
        '111': 0.164733796,
        '112': 1.028842593,
        '113': 2.01494213,
        '114': 3.014988426,
        '116': 4.015648148,
        '119': 5.022118056,
        '122': 6.020520833,
        '125': 7.020601852,
        '128': 8.015150463,
        '131': 9.016736111,
        '134': 10.01604167,
        '135': 11.01903935,
        '139': 0.165856481,
        '140': 1.029803241,
        '141': 2.015925926,
        '142': 3.016412037,
        '144': 4.017060185,
        '147': 5.024571759,
        '150': 6.02337963,
        '152': 7.023055556,
        '155': 8.016087963,
        '158': 9.017789352,
        '161': 10.01712963,
        '165': 12.03633102,
        '166': 0.167592593,
        '167': 1.031435185,
        '168': 2.018287037,
        '169': 3.018784722,
        '171': 4.01943287,
        '174': 5.025555556,
        '177': 6.02525463,
        '180': 7.024456019,
        '183': 8.018402778,
        '186': 9.020219907,
        '189': 10.01957176,
        '193': 12.03790509,
        '194': 0.150914352,
        '195': 1.014953704,
        '196': 2.001388889,
        '197': 3.001898148,
        '199': 4.00255787,
        '202': 5.008703704,
        '205': 6.009085648,
        '208': 7.007592593,
        '211': 8.001458333,
        '214': 9.00337963,
        '217': 10.00275463,
        '221': 12.02179398,
        '222': 0.175590278,
        '223': 1.037997685,
        '224': 2.024456019,
        '225': 3.024976852,
        '227': 4.025659722,
        '230': 5.032546296,
        '233': 6.0321875,
        '236': 7.031412037,
        '239': 8.024490741,
        '242': 9.027106481,
        '245': 10.02591435,
        '249': 12.0458912,
        '250': 0.178043981,
        '251': 1.039641204,
        '252': 2.026099537,
        '253': 3.026631944,
        '255': 4.027337963,
        '258': 5.033541667,
        '261': 6.033148148,
        '264': 6.975868056,
        '267': 8.026099537,
        '270': 9.028831019,
        '277': 12.04716435,
        '278': 0.182430556,
        '280': 2.026597222,
        '281': 3.027141204,
        '283': 4.02787037,
        '286': 5.034097222,
        '289': 6.034375,
        '292': 7.027627315,
        '295': 8.026539352,
        '298': 9.029386574,
        '301': 10.02825231,
        '305': 12.0487037,
        '306': 0.184143519,
        '307': 1.041006944,
        '308': 2.0275,
        '309': 3.028043981,
        '311': 4.028796296,
        '314': 5.035763889,
        '317': 6.035289352,
        '320': 7.028564815,
        '323': 8.027395833,
        '326': 9.03037037,
        '329': 10.02924769,
        '333': 12.05196759
      },
      'Viable Cell Density': {
        '0': 0.3,
        '1': 0.617579512463728,
        '2': 1.40284941423738,
        '3': 3.19633985186506,
        '5': 6.82355674138945,
        '8': 11.4378654917728,
        '11': 14.7451477328126,
        '14': 16.6606723154649,
        '17': 17.4493710687964,
        '20': 16.8641813898552,
        '24': 14.100027073022,
        '27': 0.239,
        '28': 0.490216386160736,
        '29': 1.11362833703952,
        '30': 2.54590338252897,
        '32': 5.60600923396998,
        '35': 9.39663193635088,
        '38': 12.0271192894673,
        '41': 13.8445790638243,
        '44': 14.835582431869,
        '47': 14.8186511646801,
        '50': 13.976212899569,
        '51': 12.3891760306677,
        '55': 0.311,
        '56': 0.637380625091681,
        '57': 1.44780416400514,
        '58': 3.29647169765727,
        '60': 7.00256226015066,
        '63': 11.6057732253281,
        '66': 14.9074804977486,
        '69': 16.8302121599636,
        '72': 17.6152419453062,
        '75': 17.3886883907771,
        '78': 16.2517739481415,
        '82': 11.9146375426534,
        '83': 0.324,
        '84': 0.663525255785147,
        '85': 1.50684093780942,
        '86': 3.42713982321301,
        '88': 7.22120274230577,
        '91': 11.7964272771775,
        '94': 15.0264309633123,
        '97': 16.8910793422176,
        '100': 17.5875137086877,
        '103': 16.9225346470573,
        '106': 15.8331595720226,
        '107': 13.9774431329008,
        '110': 11.6070191291999,
        '111': 0.266,
        '112': 0.545568063576537,
        '113': 1.23813068641898,
        '114': 2.82761249600416,
        '116': 6.1541836437488,
        '119': 10.8021875590158,
        '122': 13.4255000979373,
        '125': 14.2406927013394,
        '128': 14.4970146254862,
        '131': 14.1200131049648,
        '134': 13.2022755315026,
        '135': 11.795701077034,
        '139': 0.353,
        '140': 0.724169459998588,
        '141': 1.64240579534738,
        '142': 3.72705375536637,
        '144': 7.71454369814026,
        '147': 12.2170703968882,
        '150': 15.2741180187226,
        '152': 16.9982888128035,
        '155': 17.3039965401238,
        '158': 16.4555507613746,
        '161': 14.9712575632289,
        '165': 10.6114851957248,
        '166': 0.292,
        '167': 0.59889639568278,
        '168': 1.35989547635583,
        '169': 3.10193192159385,
        '171': 6.65799135746645,
        '174': 11.2927729313353,
        '177': 14.7092045440725,
        '180': 16.7124744404513,
        '183': 17.5718474934165,
        '186': 17.3550190564973,
        '189': 16.2977577370641,
        '193': 12.0387328802323,
        '194': 0.247,
        '195': 0.506673244770751,
        '196': 1.15021144847175,
        '197': 2.62880571290848,
        '199': 5.77543491572811,
        '202': 10.4120221511903,
        '205': 14.1578797656408,
        '208': 16.4240313215011,
        '211': 17.4877214571665,
        '214': 17.428449960064,
        '217': 16.5270541056757,
        '221': 12.476655564813,
        '222': 0.311,
        '223': 0.637035132906573,
        '224': 1.44596776086504,
        '225': 3.29441960459679,
        '227': 6.99832807834117,
        '230': 11.610231444481,
        '233': 14.9321985820703,
        '236': 16.8507729578562,
        '239': 17.1185391499673,
        '242': 15.846170173693,
        '245': 14.3814435318899,
        '249': 10.2877510270024,
        '250': 0.351,
        '251': 0.718138358497027,
        '252': 1.62881132890172,
        '253': 3.69826398076769,
        '255': 7.67297536393953,
        '258': 12.1814275931936,
        '261': 15.2631659697602,
        '264': 16.6543843177967,
        '267': 16.9745013165533,
        '270': 15.5403951703959,
        '277': 8.72885604591559,
        '278': 0.295,
        '280': 1.366408769416,
        '281': 3.11603945668112,
        '283': 6.68153963965525,
        '286': 11.306832663632,
        '289': 14.7047591820955,
        '292': 16.4069654961159,
        '295': 16.8550392239358,
        '298': 16.1486938505578,
        '301': 14.4968484688983,
        '305': 9.29286692205631,
        '306': 0.297,
        '307': 0.605688345917779,
        '308': 1.3750112926555,
        '309': 3.13624653671434,
        '311': 6.72215421719321,
        '314': 11.3589354418655,
        '317': 14.4976045385571,
        '320': 16.1155373294195,
        '323': 16.7734546980939,
        '326': 16.1438604661104,
        '329': 15.2349724281815,
        '333': 11.5214146887069
      },
      'Viable cell density': {
        '0': 0.3,
        '1': 0.595,
        '2': 1.566,
        '3': 4.311,
        '5': 6.458,
        '8': 10.834,
        '11': 15.262,
        '14': 17.421,
        '17': 17.743,
        '20': 16.604,
        '24': 16.019,
        '27': 0.239,
        '28': 0.656,
        '29': 1.833,
        '30': 4.125,
        '32': 7.232,
        '35': 11.472,
        '38': 14.777,
        '41': 13.953,
        '44': 12.868,
        '47': 13.067,
        '50': 12.93,
        '51': 12.695,
        '55': 0.311,
        '56': 0.679,
        '57': 1.651,
        '58': 4.353,
        '60': 7.39,
        '63': 11.154,
        '66': 15.003,
        '69': 17.034,
        '72': 17.28,
        '75': 16.892,
        '78': 17.085,
        '82': 13.794,
        '83': 0.324,
        '84': 0.581,
        '85': 1.735,
        '86': 4.138,
        '88': 7.214,
        '91': 9.717,
        '94': 15.262,
        '97': 16.134,
        '100': 16.714,
        '103': 17.009,
        '106': 17.662,
        '107': 16.329,
        '110': 14.248,
        '111': 0.266,
        '112': 0.65,
        '113': 1.608,
        '114': 4.109,
        '116': 6.87,
        '119': 11.132,
        '122': 15.134,
        '125': 15.966,
        '128': 15.467,
        '131': 14.201,
        '134': 13.796,
        '135': 12.77,
        '139': 0.353,
        '140': 0.65,
        '141': 1.479,
        '142': 4.29,
        '144': 7.273,
        '147': 10.36,
        '150': 14.201,
        '152': 15.641,
        '155': 15.491,
        '158': 14.35,
        '161': 14.911,
        '165': 13.059,
        '166': 0.292,
        '167': 0.618,
        '168': 1.769,
        '169': 4.384,
        '171': 7.375,
        '174': 10.959,
        '177': 15.896,
        '180': 17.343,
        '183': 17.708,
        '186': 16.893,
        '189': 17.519,
        '193': 14.6,
        '194': 0.247,
        '195': 0.595,
        '196': 1.463,
        '197': 4.122,
        '199': 6.402,
        '202': 9.598,
        '205': 13.01,
        '208': 15.663,
        '211': 17.634,
        '214': 16.402,
        '217': 17.372,
        '221': 15.543,
        '222': 0.311,
        '223': 0.772,
        '224': 1.717,
        '225': 4.133,
        '227': 7.284,
        '230': 10.913,
        '233': 14.639,
        '236': 16.006,
        '239': 14.139,
        '242': 14.747,
        '245': 15.366,
        '249': 12.395,
        '250': 0.351,
        '251': 0.592,
        '252': 1.738,
        '253': 4.232,
        '255': 7.026,
        '258': 10.681,
        '261': 15.726,
        '264': 20.781,
        '267': 17.606,
        '270': 14.682,
        '277': 12.83,
        '278': 0.295,
        '280': 1.545,
        '281': 4.274,
        '283': 5.894,
        '286': 11.113,
        '289': 14.365,
        '292': 18.148,
        '295': 18.229,
        '298': 16.912,
        '301': 16.572,
        '305': 12.782,
        '306': 0.297,
        '307': 0.619,
        '308': 1.608,
        '309': 3.8,
        '311': 7.069,
        '314': 10.935,
        '317': 14.198,
        '320': 16.208,
        '323': 16.407,
        '326': 16.014,
        '329': 16.862,
        '333': 14.26
      },
      Volume: {
        '0': 0.1972893852,
        '1': 0.1944514385,
        '2': 0.1916260228,
        '3': 0.1961037369,
        '5': 0.2004177158,
        '8': 0.2035089728,
        '11': 0.2063702037,
        '14': 0.2071463168,
        '17': 0.2104785261,
        '20': 0.2134580657,
        '24': 0.2177236606,
        '27': 0.1972890996,
        '28': 0.194451854,
        '29': 0.1916268304,
        '30': 0.1961049503,
        '32': 0.200419548,
        '35': 0.2035164009,
        '38': 0.2064089901,
        '41': 0.2072603264,
        '44': 0.209618325,
        '47': 0.2117577017,
        '50': 0.2091030205,
        '51': 0.2154703919,
        '55': 0.1972888434,
        '56': 0.1944512586,
        '57': 0.1916260549,
        '58': 0.196103031,
        '60': 0.2004173251,
        '63': 0.2035029817,
        '66': 0.2066047164,
        '69': 0.2086455052,
        '72': 0.2122547769,
        '75': 0.2156441137,
        '78': 0.2136083281,
        '82': 0.2121376711,
        '83': 0.1972886919,
        '84': 0.1944513678,
        '85': 0.1916259848,
        '86': 0.1961043278,
        '88': 0.2004211695,
        '91': 0.2035179311,
        '94': 0.2063894354,
        '97': 0.2071879755,
        '100': 0.2103395223,
        '103': 0.2133981849,
        '106': 0.211201561,
        '107': 0.2174575575,
        '110': 0.2093646411,
        '111': 0.1972886467,
        '112': 0.1944512128,
        '113': 0.191626033,
        '114': 0.1961040449,
        '116': 0.2004200318,
        '119': 0.2035133202,
        '122': 0.2065464599,
        '125': 0.2076451666,
        '128': 0.2100565902,
        '131': 0.2125372682,
        '134': 0.2098098938,
        '135': 0.2157196482,
        '139': 0.1972885281,
        '140': 0.1944507053,
        '141': 0.1916256564,
        '142': 0.1961058153,
        '144': 0.2004247977,
        '147': 0.2035244261,
        '150': 0.2063957532,
        '152': 0.2076987748,
        '155': 0.2108396682,
        '158': 0.2134997314,
        '161': 0.2118128971,
        '165': 0.2093934358,
        '166': 0.1972883836,
        '167': 0.1944511364,
        '168': 0.1916258731,
        '169': 0.1961028529,
        '171': 0.2004157226,
        '174': 0.2034991167,
        '177': 0.2066619252,
        '180': 0.2085923078,
        '183': 0.212289531,
        '186': 0.2156300234,
        '189': 0.2146307686,
        '193': 0.2122503177,
        '194': 0.1972734755,
        '195': 0.1941762893,
        '196': 0.1909516132,
        '197': 0.1946078986,
        '199': 0.198201741,
        '202': 0.2005392569,
        '205': 0.2027446532,
        '208': 0.2041405892,
        '211': 0.207343173,
        '214': 0.2102777611,
        '217': 0.2089005429,
        '221': 0.2062558196,
        '222': 0.1972878365,
        '223': 0.1944505666,
        '224': 0.1916252139,
        '225': 0.1961015295,
        '227': 0.200413221,
        '230': 0.2035031344,
        '233': 0.2063648247,
        '236': 0.2071822466,
        '239': 0.2096076419,
        '242': 0.2118635217,
        '245': 0.2099797044,
        '249': 0.2075206197,
        '250': 0.1972876449,
        '251': 0.1944503612,
        '252': 0.1916244676,
        '253': 0.1961036186,
        '255': 0.2004214374,
        '258': 0.2035205622,
        '261': 0.2063952451,
        '264': 0.2073947406,
        '267': 0.2105970786,
        '270': 0.2137702838,
        '277': 0.2104535621,
        '278': 0.1972873354,
        '280': 0.1894497315,
        '281': 0.193831193,
        '283': 0.1980499346,
        '286': 0.2010418221,
        '289': 0.2040298173,
        '292': 0.2062792879,
        '295': 0.2100782829,
        '298': 0.2136036471,
        '301': 0.2128578598,
        '305': 0.2118197147,
        '306': 0.1972872227,
        '307': 0.1944501918,
        '308': 0.1894500949,
        '309': 0.1938342966,
        '311': 0.1980571753,
        '314': 0.201063256,
        '317': 0.2038530323,
        '320': 0.2045694515,
        '323': 0.2069698602,
        '326': 0.2099046605,
        '329': 0.2084319516,
        '333': 0.2058919871
      },
      pH: {
        '0': 7.090000153,
        '1': 7.127999783,
        '2': 7.093999863,
        '3': 7.100999832,
        '5': 7.109000206,
        '8': 7.145999908,
        '11': 7.186999798,
        '14': 7.142000198,
        '17': 7.053999901,
        '20': 7.113999844,
        '24': 7.084999561,
        '27': 7.0989995,
        '28': 7.150000095,
        '29': 7.104000092,
        '30': 7.105000019,
        '32': 7.112999916,
        '35': 7.144000053,
        '38': 7.136000156,
        '41': 7.132999897,
        '44': 7.141000271,
        '47': 7.318000317,
        '50': 7.326000214,
        '51': 7.330000401,
        '55': 7.100999832,
        '56': 7.1199998860000004,
        '57': 7.100999832,
        '58': 7.099999905,
        '60': 7.108999729,
        '63': 7.144000053,
        '66': 7.171999931,
        '69': 7.139999866,
        '72': 7.105000019,
        '75': 7.086999893,
        '78': 7.082999706,
        '82': 7.10199976,
        '83': 7.084000111,
        '84': 7.143000126,
        '85': 7.113999844,
        '86': 7.100000381,
        '88': 7.109000206,
        '91': 7.143000126,
        '94': 7.169000149,
        '97': 7.12899971,
        '100': 7.188000679,
        '103': 7.104000092,
        '106': 7.104000092,
        '107': 7.059000015,
        '110': 7.108000278,
        '111': 7.09499979,
        '112': 7.131999969,
        '113': 7.10199976,
        '114': 7.096000195,
        '116': 7.108999729,
        '119': 7.14400053,
        '122': 7.171000004,
        '125': 7.151000023,
        '128': 7.144999981,
        '131': 7.232000351,
        '134': 7.225999832,
        '135': 7.225999832,
        '139': 7.102499962,
        '140': 7.106999874,
        '141': 7.093999863,
        '142': 7.099999905,
        '144': 7.110000134,
        '147': 7.144000053,
        '150': 7.065999985,
        '152': 7.146999359,
        '155': 7.134000301,
        '158': 7.123000145,
        '161': 7.132999897,
        '165': 7.102000237,
        '166': 7.065000057,
        '167': 7.123999596,
        '168': 7.105000019,
        '169': 7.109000206,
        '171': 7.112000465,
        '174': 7.145999908,
        '177': 7.18500042,
        '180': 7.160999775,
        '183': 7.128000259,
        '186': 7.080999851,
        '189': 7.096000195,
        '193': 7.121999741,
        '194': 7.113999844,
        '195': 7.125,
        '196': 7.084000111,
        '197': 7.062000275,
        '199': 7.097000122,
        '202': 7.113999844,
        '205': 7.12899971,
        '208': 7.164000034,
        '211': 7.164000034,
        '214': 7.159999847,
        '217': 7.166999817,
        '221': 7.096000195,
        '222': 7.078000069,
        '223': 7.1300001139999996,
        '224': 7.105999947,
        '225': 7.103000164,
        '227': 7.108000278,
        '230': 7.149000168,
        '233': 7.105999947,
        '236': 7.156999588,
        '239': 7.141999722,
        '242': 7.081999779,
        '245': 7.095999718,
        '249': 7.050000191,
        '250': 7.081999779,
        '251': 7.143999577,
        '252': 7.069999695,
        '253': 7.109000206,
        '255': 7.121999741,
        '258': 7.163000107,
        '261': 7.197000027,
        '264': 7.366000175,
        '267': 7.304999828,
        '270': 7.305000305,
        '277': 7.326999664,
        '278': 7.10199976,
        '280': 7.092999935,
        '281': 7.105999947,
        '283': 7.113999844,
        '286': 7.154999733,
        '289': 7.19699955,
        '292': 7.360000134,
        '295': 7.349999905,
        '298': 7.33700037,
        '301': 7.322999954,
        '305': 7.318999767,
        '306': 7.098999977,
        '307': 7.120999813,
        '308': 7.095999718,
        '309': 7.108999729,
        '311': 7.122000217,
        '314': 7.154000282,
        '317': 7.173999786,
        '320': 7.194000244,
        '323': 7.172999859,
        '326': 7.137000084,
        '329': 7.122000217,
        '333': 7.097000122
      }
    };
    const rows = mapObjectToRows(object);
    const objectAfter = mapRowsToObject(rows);
    expect(object).toStrictEqual(objectAfter);
  });
});
